## com.sun.jna.platform.win32
Class Sspi.SecHandle

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.Sspi.SecHandle

Direct Known Subclasses:
  Sspi.CredHandle, Sspi.CtxtHandle, Sspi.SecHandle.ByReference

Enclosing class:
  Sspi

    public static class Sspi.SecHandle

extends com.sun.jna.Structure

Security handle.

Nested Class Summary
`static class` `Sspi.SecHandle.ByReference`

Nested classes/interfaces inherited from class com.sun.jna.Structure
`com.sun.jna.Structure.ByValue`

Field Summary
`com.sun.jna.Pointer` `dwLower`
`com.sun.jna.Pointer` `dwUpper`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`Sspi.SecHandle()` An empty SecHandle.

Method Summary
`boolean` `isNull()` Returns true if the handle is NULL.

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### dwLower

    public com.sun.jna.Pointer dwLower

### dwUpper

    public com.sun.jna.Pointer dwUpper

Constructor Detail

### Sspi.SecHandle

    public Sspi.SecHandle()

  An empty SecHandle.

Method Detail

### isNull

    public boolean isNull()

  Returns true if the handle is NULL.

  Returns:
    True if NULL, False otherwise.